---
- name: Install Redis
  hosts: redis
  become: yes
  vars:
    redis_port: 6379
    redis_bind: 0.0.0.0
    redis_databases: 1
  tasks:
    - name: Ensure Redis is present
      apt: pkg=redis-server state=latest

    - name: Ensure Redis is stoped
      service: name=redis-server state=stopped enabled=yes

    - name: Ensure Redis is started
      service: name=redis-server state=started enabled=yes

    - name: Ensure Redis Configuration
      template: src=redis.conf.j2 dest=/etc/redis/redis.conf owner=root group=root mode=0644
      notify: Redis Restart
      tags:
        - config

  handlers:
    - name: Redis Restart
      service: name=redis-server state=restarted enabled=yes